Skip to main content
GET
/
v1
/
mosques
/
{mosqueId}
/
profile
Read mosque profile fields
curl --request GET \
  --url https://api.pocketmusala.com/v1/mosques/{mosqueId}/profile \
  --header 'Authorization: Bearer <token>'
{
  "profile": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "communityName": "<string>",
    "type": "Mosque",
    "isOnlineOnly": true,
    "verificationStatus": "<string>",
    "entitlement": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "address": "<string>",
    "latitude": 123,
    "longitude": 123,
    "timeZoneId": "America/New_York",
    "status": "<string>",
    "message": "<string>",
    "donationLink": "<string>",
    "prayerCalculationParameters": "<string>",
    "thumbnail": "<string>",
    "coverPhotos": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

PocketMusala Developer API key from the authenticated portal.

Headers

X-Request-Id
string

Partner-generated request id used for logs and support.

Minimum string length: 1

Path Parameters

mosqueId
string<uuid>
required

Response

Current mosque profile.

profile
object
required